Package org.apache.lucene.geo

## Interface Tessellator.Monitor

- Enclosing class:
    Tessellator

      public static interface Tessellator.Monitor

  Implementation of this interface will receive calls with internal data at each step of the triangulation algorithm. This is of use for debugging complex cases, as well as gaining insight into the way the algorithm works. Data provided includes a status string containing the current mode, list of points representing the current linked-list of internal nodes used for triangulation, and a list of triangles so far created by the algorithm.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMPLETED` |
    `static String` | `FAILED` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `currentState​(String status, List<Point> points, List<Tessellator.Triangle> tessellation)` | Each loop of the main earclip algorithm will call this with the current state
    `void` | `endSplit​(String status)` | When a polygon split is completed, this is called.
    `void` | `startSplit​(String status, List<Point> leftPolygon, List<Point> rightPolygon)` | When a new polygon split is entered for mode=SPLIT, this is called.

- - ### Field Detail

    - #### FAILED

          static final String FAILED

      See Also:
        Constant Field Values

    - #### COMPLETED

          static final String COMPLETED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### currentState

          void currentState​(String status,
                            List<Point> points,
                            List<Tessellator.Triangle> tessellation)

      Each loop of the main earclip algorithm will call this with the current state

    - #### startSplit

          void startSplit​(String status,
                          List<Point> leftPolygon,
                          List<Point> rightPolygon)

      When a new polygon split is entered for mode=SPLIT, this is called.

    - #### endSplit

          void endSplit​(String status)

      When a polygon split is completed, this is called.